devguard
ProcessesIdArchive

Archive or restore a process by id.

POST
/processes/{id}/archive/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/processes/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "archived": true  }'
{  "id": "string",  "slug": "string",  "organizationId": "string",  "name": "string",  "identifier": "string",  "description": "string",  "kind": "CHECKLIST",  "version": "string",  "owner": {    "id": "string",    "name": "string",    "slug": "string"  },  "businessRoleIds": [    "string"  ],  "cadenceSchedule": {    "id": "string",    "name": "string",    "slug": "string"  },  "labels": [    {      "id": "string",      "name": "string",      "slug": "string",      "color": "string",      "scope": "string"    }  ],  "nextDueAt": "string",  "lastCompletedAt": "string",  "archivedAt": "string",  "createdAt": "string",  "updatedAt": "string",  "runCount": 0,  "openRunCount": 0,  "pendingReportCount": 0}

How is this guide?